on QGIS master Processing results from GDAL/OGR tools are no longer added to map

2015-11-08 04:21 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21817

Description

The tools run but all return the

The following layers were not correctly generated.

message.

The outputs are actually created on disk.

Associated revisions

Revision 7e793986 - 2015-11-08 05:55 PM - Victor Olaya

[processing] fixed adding raster layer to project

fixes #13791

History

#1 - 2015-11-08 08:56 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"7e7939860152136c056df080d915ed3474e10f00".

#2 - 2015-11-08 09:56 AM - Giovanni Manghi

Hi Victor, I tested your latest commits and it seems that it still does not work (for me at least). Cheers!

#3 - 2015-11-08 01:18 PM - Victor Olaya

Hey Giovanni. I am not able to reproduce it. It works fine when using GDAL and OGR algorithms with raster and vector layers.

I have added some code to add detailed error descriptions to the log when the postprocessing task fails. Can you please download the latest code, run the

algorithm that is failing and paste here the error trace that you will see in the log?

Thanks!
#4 - 2015-11-09 12:04 PM - Giovanni Manghi

Victor Olaya wrote:

Hey Giovanni. I am not able to reproduce it. It works fine when using GDAL and OGR algorithms with raster and vector layers.

I have added some code to add detailed error descriptions to the log when the postprocessing task fails. Can you please download the latest code,

run the algorithm that is failing and paste here the error trace that you will see in the log?

Thanks!

Just updated to the latest master and it seems fixed, Thanks!
